This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author pitrou
Recipients draghuram, ethan.furman, mrabarnett, ncoghlan, pitrou, poke, rhettinger, steven.daprano
Date 2010-12-28.21:58:14
SpamBayes Score 2.21969e-05
Marked as misclassified No
Message-id <1293573491.3700.7.camel@localhost.localdomain>
In-reply-to <1293572574.25.0.407430453891.issue6210@psf.upfronthosting.co.za>
Content
> During handling of the above exception, another exception occurred:
> 
> This is a blatant falsehood -- another exception did not occur, a
> different exception was raised.

This doesn't make any difference in any other context, so why would it
here? If only the above sentence is problematic, you can perhaps suggest
another one.

> Now, when another exception does actually occur, I'm all for the
> nested traceback, but if I'm raising a different one, why is this
> useful:

To me that's the same as asking why the full call stack is useful. In
some cases it is useful, in other cases it is distracting. Python
displays comprehensive information by default. As I said, this can be
tweaked using the traceback module.

By the way, this is all described in detail in a PEP:
http://www.python.org/dev/peps/pep-3134/
History
Date User Action Args
2010-12-28 21:58:19pitrousetrecipients: + pitrou, rhettinger, ncoghlan, draghuram, mrabarnett, steven.daprano, poke, ethan.furman
2010-12-28 21:58:14pitroulinkissue6210 messages
2010-12-28 21:58:14pitroucreate